Mongoose HTTP PUT kérés sérülékenység

CH azonosító

CH-5312

Angol cím

Mongoose HTTP PUT Request Processing Vulnerability

Felfedezés dátuma

2011.08.03.

Súlyosság

Magas

Érintett rendszerek

Mongoose
N/A

Érintett verziók

Mongoose 3.x

Összefoglaló

A Mongoose sérülékenységét jelentették, amelyet kihasználva a támadók szolgáltatás megtagadást (DoS – Denial of Service) okozhatnak, vagy feltörhetik a sérülékeny rendszert.

Leírás

A sérülékenységet a “put_dir()” fügvényben (mongoose.c), a HTTP PUT kérések feldolgozása közben jelentkező hiba okozza. Ezt kihasználva verem alapú puffer túlcsordulást vagy ellenőrzési (assertion) hibát lehet okozni.

A sérülékenység kihasználásával tetszőleges kód futtatása lehetséges, de ennek feltétele, hogy a szervert a “- DNDEBUG” opcióval fordították.

A sérülékenységet a 3.0 verzióban jelentették. Más verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra